=== debian/changelog ===
vulkan-utility-libraries (1.3.275.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 30 Jan 2024 14:23:26 +0200

vulkan-utility-libraries (1.3.268.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1055277)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Dec 2023 18:22:45 +0200
