=== debian/control ===
Source: vulkan-utility-libraries
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 libvulkan-dev (>= 1.3.275.0),
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/KhronosGroup/Vulkan-Utility-Libraries
Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-utility-libraries.git
Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-utility-libraries

Package: vulkan-utility-libraries-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
Conflicts: vulkan-validationlayers-dev (<< 1.3.268.0-1)
Breaks: vulkan-validationlayers-dev (<< 1.3.268.0-1)
Replaces: vulkan-validationlayers-dev (<< 1.3.268.0-1)
Description: Vulkan Utility Libraries -- development files
 This project provides libraries useful for other Vulkan projects.
 .
 This package includes files needed for development.
