## vulkan-utility-libraries 1.3.290.0

=== debian/changelog ===
vulkan-utility-libraries (1.3.290.0-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Enable the build on all the architectures, as this source is portable,
    and upstream accepts ports:
    - switch the architecture of the binaries from linux-any to any

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 30 Aug 2024 08:09:13 +0300

vulkan-utility-libraries (1.3.290.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libvulkan-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 12:11:19 +0300
