=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends: debhelper-compat (= 13),
  cmake,
- libvulkan-dev (>= 1.3.283.0),
+ libvulkan-dev (>= 1.3.290.0),
 Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/KhronosGroup/Vulkan-Utility-Libraries
@@ -12,7 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-utility-libraries
 
 Package: vulkan-utility-libraries-dev
-Architecture: linux-any
+Architecture: any
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Conflicts: vulkan-validationlayers-dev (<< 1.3.268.0-1)
