## vulkan-utility-libraries 1.3.296.0

=== debian/changelog ===
vulkan-utility-libraries (1.3.296.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libvulkan-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Oct 2024 13:53:44 +0300
