## vulkan-utility-libraries 1.4.304.0

=== debian/changelog ===
vulkan-utility-libraries (1.4.304.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libvulkan-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 16 Jan 2025 16:46:38 +0200
