=== debian/changelog ===
vulkan-utility-libraries (1.4.309.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libvulkan-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 18 Mar 2025 19:31:07 +0200
