=== debian/changelog ===
vulkan-utility-libraries (1.4.321.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libvulkan-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 11 Aug 2025 06:30:57 +0300
