=== debian/watch ===
version=4
opts="repack,filenamemangle=s/(?:.*?)?sdk[_-]?(\d[\d.]*)\.tar\.gz/vulkan-utility-libraries-$1.tar.gz/" \
 https://github.com/KhronosGroup/Vulkan-Utility-Libraries/tags (?:.*?/)vulkan-sdk[_-](\d[\d.]*)\.tar\.gz
