=== debian/changelog ===
vulkan-utility-libraries (1.4.328.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libvulkan-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Nov 2025 13:20:15 +0200
