=== debian/changelog ===
vulkan-utility-libraries (1.4.335.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libvulkan-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Dec 2025 13:08:03 +0200
