=== debian/changelog ===
vulkan-utility-libraries (1.4.341.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libvulkan-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Feb 2026 11:29:59 +0200
